package com.billpringle.utils.wrputils;

import java.io.File;

import javax.swing.filechooser.FileFilter;


/**
 * @author Bill Pringle
 *
 *   <table border="0" cellspacing="0" cellpadding="6" align="center"
summary="Creative Commons license">
<tr>
  <td><!-- Creative Commons License -->
  <a rel="license" href=
  "http://creativecommons.org/licenses/by-nc-sa/2.0/" target=
  "CC"><img alt="Creative Commons License" border="0" src=
  "http://creativecommons.org/images/public/somerights20.gif" /></a></td>

  <td><a rel="license" href=
  "http://creativecommons.org/licenses/by-nc-sa/2.0/" target=
  "CC"><img alt="Creative Commons License Symbols" border="0"
  src="cc_lic.gif" /></a> <!-- /Creative Commons License --></td>

  <td>Unless noted otherwise, all materials available for
  download from my site are copyrighted by Bill Pringle, and
  are licensed under a <a rel="license" href=
  "http://creativecommons.org/licenses/by-nc-sa/2.0/" target=
  "CC">Creative Commons License</a>.</td>
</tr>
</table>
 */

public class WrpTextFilter extends FileFilter {

	@Override
	public boolean accept(File f) {
	    if (f.isDirectory()) {
	    	return true;
	        }

	        String name = f.getName();
	        if (name.endsWith(".txt")) return true;
	        return false;
	}

	@Override
	public String getDescription() {
		return "Text Files";
	}

}
